Syncware
  1. Leads
  • Introduction
    • API
    • Authentication
    • Date Format
    • API Status Codes
  • User
    • Login
      POST
    • Get User
      GET
    • Update Profile
      PUT
  • Orders
    • Query All Orders
      GET
    • Query Single Order
      GET
    • Query Single Order By Id
      GET
    • Create New Order
      POST
    • Get Order Shipments By Order
      GET
    • Post Order Shipments By Order
      POST
    • Query Order Shipments By Order Id
      GET
    • Create Order Shipments By Order Id
      POST
  • Products
    • Query All Products
      GET
    • Create Multiple Products
      POST
    • Update Single Product
      PUT
    • Create New Product
      POST
    • Query Single Product
      GET
    • Update Inventory For Single Product
      POST
    • Update Inventory For Multiple Products
      POST
    • Set Upload for Endpoint
      POST
    • Set Upload for Chain
      POST
  • Customers
    • Query All Customers
    • Query Single Customer
    • Create New Customer
  • Invoices
    • Query All Invoices
  • Packing Slip
    • Generate Packing Slip
  • Retailer
    • Query Retailer Profile
    • Update Retailer Profile
  • Rep
    • Query Rep Connected Vendors
  • Leads
    • Query All Leads
      GET
    • Create Lead
      POST
    • Update Lead
      PUT
    • Delete Lead
      DELETE
  • Lead Notes
    • Query All Lead Notes
    • Create Lead Note
    • Update Lead Note
    • Delete Lead Note
    • Delete All Notes By Lead Id
  • Common
    • Get All Sources
    • Get All Status
    • Get All Categories
    • Get All Brands
    • Get All Chains
    • Get All Endpoints
  1. Leads

Delete Lead

DELETE
/leads/{leadId}
Leads
Last modified:2026-10-22 03:22:14

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠400
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://api.syncware.com/api/v1/leads/1' \
--header 'X-Vendor: synqware' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - response
{
    "id": 3014,
    "address": "address 1",
    "address2": "address 2",
    "city": "Test City",
    "code": "Test Code",
    "company": "Test Company",
    "created_by": "SYNQWARE",
    "created_date": "2021-06-12T15:23:03.000Z",
    "email": "abc@gmail.com",
    "fax": "",
    "lead_origin": "TEST ORIGION",
    "lead_status": "DELETED",
    "name": "Test Leads Update",
    "rep": "2",
    "state": "Test State",
    "tel": "7894561230",
    "vendor": "synqware",
    "zip": "302020"
}
Previous
Update Lead
Next
Query All Lead Notes
Built with